class RenderParts ( pygame.sprite.RenderClear ):
	def draw ( self, surface ):
		self.lostsprites = []
		for s, r in self.spritedict.items ():
			surface.blit ( s.image, s.rect )
			if s.update_rect:
				newrect = s.update_rect[:]
				s.update_rect = None
				if r is 0:
					self.lostsprites.append ( newrect )
				else:
					if newrect.colliderect ( r ):
						self.lostsprites.append ( newrect.union ( r ) )
					else:
						self.lostsprites.append ( newrect )
						self.lostsprites.append ( r )
				self.spritedict[s] = newrect
		return self.lostsprites
